const isMobile = checkMobile()
function checkMobile() {
  // 移动端关键词正则表达式
  const mobileKeywords = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i
  // 1. 检查用户代理字符串中是否包含移动端关键词
  // 2. 考虑设备的orientation属性，通常移动端设备有此属性
  // 3. 触控点数量，多点触控设备可能指示为移动端
  return mobileKeywords.test(navigator.userAgent) || typeof window.orientation !== 'undefined' || window.innerWidth <= 720
}
function getStyle () {
  const windowWidth = window.innerWidth
  const contentWidth = 1440
  if (windowWidth >= (contentWidth + 100) || isMobile) {
    return { width: '100%' }
  }

  const scale = windowWidth / (contentWidth + 100)
  return {
    width: 100 * (1/scale) + "% !important",
    height: 100 * (1/scale) + "% !important",
    transform: `scale(${scale})`,
    transformOrigin: `0 0`,
    overflow: 'auto'
  }
}
